Patch user using SCIM
curl --request PATCH \
--url https://cloud.memsource.com/web/api2/v1/scim/Users/{userId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'None: <api-key>' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/scim/Users/{userId}"
payload = {}
headers = {
"Authorization": "<authorization>",
"None": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: '<authorization>',
None: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/scim/Users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emails": [
{
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"userName": "<string>",
"active": true,
"id": "<string>",
"meta": {
"created": "2023-11-07T05:31:56Z",
"location": "<string>"
},
"schemas": "[ \"urn:ietf:params:scim:schemas:core:2.0:User\" ]"
}SCIM
Patch user using SCIM
deprecated
Requires a valid Bearer token in the Authorization header.
PATCH
/
api2
/
v1
/
scim
/
Users
/
{userId}
Patch user using SCIM
Authorizations
No authentication required. This is used for public endpoints.
Headers
Bearer token for SCIM authentication
Path Parameters
Internal numeric ID of the user
Body
application/json
SCIM patch request; fields mirror ScimUserCoreDto
Response
OK
Required array length:
1 - 2147483647 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
When true, the user account is active and can log in
Server-generated unique identifier; not writable by the client
SCIM metadata for a resource
Show child attributes
Show child attributes
Example:
"[ \"urn:ietf:params:scim:schemas:core:2.0:User\" ]"
Was this page helpful?
⌘I